Skip to content

Doubao task status query

Query Doubao video task status and results.

http
GET /v1/videos/video_abc123

Headers

NameTypeRequiredDescription
stringYesRequest authentication. Use a Bearer Token, for example: .

Request parameters

NameTypeRequiredDescription
stringYesTask ID. Same as the returned by the generation endpoint.

Request example

bash
curl https://octopusx.ai/v1/videos/video_bbfbc1d2-ab22-44ca-b9dd-bc16983acac2 \
  -H "Authorization: Bearer <token>"

Response example

json
{
  "id": "video_bbfbc1d2-ab22-44ca-b9dd-bc16983acac2",
  "object": "video",
  "model": "doubao-seedance-1-5-pro_720p",
  "status": "processing",
  "progress": 50,
  "created_at": 1761635478,
  "seconds": "5",
  "size": "720x720"
}
json
{
  "id": "video_bbfbc1d2-ab22-44ca-b9dd-bc16983acac2",
  "object": "video",
  "model": "doubao-seedance-1-5-pro_720p",
  "status": "completed",
  "progress": 100,
  "created_at": 1761635478,
  "completed_at": 1761635600,
  "expires_at": 1761722000,
  "seconds": "5",
  "size": "720x720",
  "video_url": "https://example.com/video/output.mp4"
}
json
{
  "id": "video_bbfbc1d2-ab22-44ca-b9dd-bc16983acac2",
  "object": "video",
  "model": "doubao-seedance-1-5-pro_720p",
  "status": "failed",
  "progress": 0,
  "created_at": 1761635478,
  "completed_at": 1761635500,
  "expires_at": 1761721900,
  "seconds": "5",
  "size": "720x720",
  "error": {
    "message": "Generation failed, please retry",
    "code": "GENERATION_FAILED"
  }
}

Response fields

NameTypeDescription
stringTask ID.
stringAlways .
stringModel name.
stringTask status. Options: (processing), (failed), (completed).
integerProgress percentage (0-100).
integerCreation time (Unix timestamp).
integerCompletion time (Unix timestamp). Returned only when the task completes or fails.
integerExpiration time (Unix timestamp).
stringVideo duration in seconds.
stringVideo size, for example .
stringVideo download URL. Returned only when .
stringSource video ID for remix (if any).
objectError info. Returned only when .
stringError message, nested under .
stringError code, nested under .